@import 'sass/colors';
@import 'sass/core';
@import url('https://fonts.googleapis.com/css?family=Quicksand:300,400,500,700');
@import url('https://fonts.googleapis.com/css?family=Overpass:300,400,600,700,800,900');

$bg-color: $blue;

.CalendarApp {
  @media(min-width: 786px){
    width: 380px;
    height: 720px;
    border-radius: 50px;
    margin-top: 20px;

  }
  height: 100vh;
  margin: auto;
  overflow: hidden;
  background-color: $bg-color;
  box-shadow: 0px 20px 80px -15px rgba(black, 0.5);
  padding: 25px 15px;
  z-index: 1;
  box-sizing: border-box;

  h1 {
    margin-top: 30px;
    margin-bottom: 0;
    font-family: 'Quicksand';
    color: white;
    font-size: 2.4em;
  }

  .PageHolder {
    position: relative;
    margin-top: 20px;

    .CalendarPage {
      max-height: 520px;
      width: 100%;
      margin: auto;
      border-radius: 20px;
      position: relative;
      top: 0;
      left: 0;
      background-color: #fff;
      padding: 10px 10px 20px 10px;
      z-index: 5;
      box-sizing: border-box;
      transition: max-height 0.1s ease;
  
      .header {
        display: flex;
        margin-top: 5px;
  
        .selector {
          flex-grow: 1;

          &.left {
            text-align: left
          }

          &.right {
            text-align: right;
          }

          img.monthSelector {
            width: 25px;
            padding-top: 8px;
          }
        }
  
        .month {
          flex-grow: 3;
          text-align: center;

          h1 {
            margin: 0;
            font-family: 'Quicksand';
            font-weight: 400;
            color: black;
            font-size: 2em;
          }
        }
      }

      .calendarLabel {
        margin-top: 15px;
        margin-bottom: 10px;
        display: grid;
        grid-template-columns: repeat(7, 1fr);
        grid-column-gap: 10px;

        .label {
          font-family: 'Quicksand';
          font-weight: 300;
          text-align: center;
          color: rgba(black, 0.8);

          &:nth-child(6) {
            color: rgba(black, 0.5)
          }
          &:nth-child(7) {
            color: rgba(black, 0.5)
          }
        }
      }

      .calendarDays {
        display: grid;
        grid-template-columns: repeat(7, 1fr);
        grid-template-rows: repeat(5, 35px);
        grid-column-gap: 10px;
        grid-row-gap: 10px;

        .day {
          text-align: center;
          border-radius: 50%;
          transition: all 0.1s ease-in;

          &.selected {
            background-color: $orange;

            h3 {
              color: white;
              font-weight: 700;
            }

            &:hover {
              background-color: $orange;
            }
          }
          h3 {
            margin: auto;
            line-height: 35px;
            font-family: 'Quicksand';
            font-weight: 400;
          }

          &:hover {
            background-color: rgba(black, 0.1);
          }
        }
      }
    }

    .UnderPage {
      border-radius: 20px;
      height: 320px;
      background-color: rgba(white, 0.3);
      margin-left: auto;
      margin-right: auto;
      content: '';
      position: absolute;
      left: 0;
      right: 0;

      &:nth-child(2) {
        width: 96%;
        // top: 42px;
        bottom: -12px;
        z-index: 2;
      }

      &:nth-child(3) {
        width: 90%;
        // top: 54px;
        bottom: -24px;
        z-index: 1;
      }
    }
  }

  .Events {
    margin-top: 40px;
    padding-left: 20px;

    h2 {
      font-family: 'Overpass';
      color: rgba(white, 0.7);
    }

    .event {
      padding-bottom: 5px;
      margin-bottom: 5px;
      border-bottom: 1px solid rgba(white, 0.1);
      h4 {
        font-family: 'Overpass';
        font-weight: 700;
        color: $cyan;
        font-size: 1em;
        margin: 0;
      }

      h2 {
        font-family: 'Overpass';
        color: rgba(white, 0.95);
        margin: 0;
        font-size: 1.2em;
      }
    }
  }

}